package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

public class MakeBoxBean implements Parcelable {
      private String customer_code= "";
      private String goods_res= "";
      private int ben_box_qty = 0;
      private List<RecordBean> zuijin_nums = new ArrayList<>();

      public MakeBoxBean(){

      }

      protected MakeBoxBean(Parcel in) {
            customer_code = in.readString();
            goods_res = in.readString();
            ben_box_qty = in.readInt();
            zuijin_nums = in.createTypedArrayList(RecordBean.CREATOR);
      }

      @Override
      public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(customer_code);
            dest.writeString(goods_res);
            dest.writeInt(ben_box_qty);
            dest.writeTypedList(zuijin_nums);
      }

      @Override
      public int describeContents() {
            return 0;
      }

      public static final Creator<MakeBoxBean> CREATOR = new Creator<MakeBoxBean>() {
            @Override
            public MakeBoxBean createFromParcel(Parcel in) {
                  return new MakeBoxBean(in);
            }

            @Override
            public MakeBoxBean[] newArray(int size) {
                  return new MakeBoxBean[size];
            }
      };

      public String getCustomerCode() {
            return customer_code;
      }

      public void setCustomerCode(String customer_code) {
            this.customer_code = customer_code;
      }

      public String getGoodsRes() {
            return goods_res;
      }

      public void setGoodsRes(String goods_res) {
            this.goods_res = goods_res;
      }

      public int getBenBoxQty() {
            return ben_box_qty;
      }

      public void setBenBoxQty(int ben_box_qty) {
            this.ben_box_qty = ben_box_qty;
      }

      public List<RecordBean> getZuijinNums() {
            return zuijin_nums;
      }

      public void setZuijinNums(List<RecordBean> zuijin_nums) {
            this.zuijin_nums = zuijin_nums;
      }
}
